%global debug_package %{nil}

Name: python-jaraco.text
Epoch: 100
Version: 3.7.0
Release: 1%{?dist}
BuildArch: noarch
Summary: Module for text manipulation
License: MIT
URL: https://github.com/jaraco/jaraco.text/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Module for text manipulation.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-jaraco.text
Summary: Module for text manipulation
Requires: python3
Requires: python3-jaraco.context >= 4.1
Requires: python3-jaraco.functools
Requires: python3-importlib-metadata
Provides: python3-jaraco.text = %{epoch}:%{version}-%{release}
Provides: python3dist(jaraco.text) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-jaraco.text = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(jaraco.text) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-jaraco.text = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(jaraco.text) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-jaraco.text
Module for text manipulation.

%files -n python%{python3_version_nodots}-jaraco.text
%license LICENSE
%{python3_sitelib}/*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-jaraco.text
Summary: Module for text manipulation
Requires: python3
Requires: python3-jaraco.context >= 4.1
Requires: python3-jaraco.functools
Requires: python3-importlib-metadata
Provides: python3-jaraco.text = %{epoch}:%{version}-%{release}
Provides: python3dist(jaraco.text) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-jaraco.text = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(jaraco.text) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-jaraco.text = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(jaraco.text) = %{epoch}:%{version}-%{release}

%description -n python3-jaraco.text
Module for text manipulation.

%files -n python3-jaraco.text
%license LICENSE
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n python3-jaraco-text
Summary: Module for text manipulation
Requires: python3
Requires: python3-jaraco-context >= 4.1
Requires: python3-jaraco-functools
Requires: python3-importlib-metadata
Provides: python3-jaraco.text = %{epoch}:%{version}-%{release}
Provides: python3dist(jaraco.text) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-jaraco.text = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(jaraco.text) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-jaraco.text = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(jaraco.text) = %{epoch}:%{version}-%{release}

%description -n python3-jaraco-text
Module for text manipulation.

%files -n python3-jaraco-text
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
